Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class PersistenceXmlLoader.ErrorLogger

    java.lang.Object
      org.hibernate.ejb.packaging.PersistenceXmlLoader.ErrorLogger

All Implemented Interfaces:
  ErrorHandler

Enclosing class:
  PersistenceXmlLoader

    public static class PersistenceXmlLoader.ErrorLogger

extends Object
implements ErrorHandler

Method Summary
`void` | `error(SAXParseException error)`
`void` | `fatalError(SAXParseException error)`
`void` | `warning(SAXParseException warn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### error

    public void error(SAXParseException error)

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(SAXParseException error)

  Specified by:
    `fatalError` in interface `ErrorHandler`

### warning

    public void warning(SAXParseException warn)

  Specified by:
    `warning` in interface `ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.